
#include <util/delay.h>

#include "Wire.h"
#include "BlinkM_funcs.h"

#include "WProgram.h"
void setup();
void bedazzle(int ledmax, int pulselensec, int freqmin, int freqmax);
void loop();
int blinkm_addr = 9;  // default address of a blinkm

void setup()
{
  BlinkM_beginWithPower();
  BlinkM_stopScript( blinkm_addr );  // stop startup light script
  // Serial.begin(9600);
}

void bedazzle(int ledmax, int pulselensec, int freqmin, int freqmax) {
  long pulses;


  BlinkM_setRGB( blinkm_addr, 0x00, 0x00, 0x00 ); // go dark

  // note we dont use red LEDs in this
  int freq = random(freqmin, freqmax+1);
  int pulsedelay = 1000/freq;
  pulsedelay /= 2;

  pulses = pulselensec;
  pulses *= 1000;
  pulses /= 2*pulsedelay;
  /*
  
   Serial.print("pulsing at ");
   Serial.print(freq, DEC);
   Serial.print(" Hz (");
   Serial.print(pulsedelay, DEC);
   Serial.println(" ms on/off)");
   Serial.print(pulses);
   Serial.println(" pulses");
   */

  while (pulses--) 
  {
    BlinkM_setRGB( blinkm_addr, 0x00, ledmax, ledmax ); 
    _delay_ms(pulsedelay);
    BlinkM_setRGB( blinkm_addr, 0x00, 0x00, 0x00 ); 
    _delay_ms(pulsedelay); 
  }

}


void loop()
{
  bedazzle(0xFF, 10, 7, 11); 

}



int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

